API referenceLists

List a list’s members

GET/lists/{id}/contacts

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "subscribed"
  • "unsubscribed"
  • "pending"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/lists/string/contacts"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "list_membership",      "list_id": "string",      "contact_id": "string",      "email": "string",      "status": "subscribed",      "source": "api",      "subscribed_at": "2019-08-24T14:15:22Z",      "unsubscribed_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}